#include <iostream>
#include <vector>

using namespace std;

int main(){
    int n, l, h;
    cin>>n>>l;
    vector <int> H;
    for (int j=0; j<n; j++){
        cin>>h;
        H.push_back(h);
    }
    int i=0;
    while (i<n && H[i]>l){
        i++;
    }
    
    if (i<n)
        cout<<i+1;
    else
    cout<<-1;

    return 0;
}